[Unstable Update x32] 2018-03-09, 13

unstable
update
manjaro32

#22

Kernel 4.14.25 and systemd 238 inbound:

packages to upload:

   libsystemd-238.0-2-i686.pkg.tar.xz
   linux414-4.14.25-1-i686.pkg.tar.xz
   linux414-acpi_call-1.1.0-23-i686.pkg.tar.xz
   linux414-bbswitch-0.8-23-i686.pkg.tar.xz
   linux414-broadcom-wl-6.30.223.271-23-i686.pkg.tar.xz
   linux414-headers-4.14.25-1-i686.pkg.tar.xz
   linux414-ndiswrapper-1.61-23-i686.pkg.tar.xz
   linux414-nvidia-1:390.25-9-i686.pkg.tar.xz
   linux414-nvidia-304xx-1:304.137-23-i686.pkg.tar.xz
   linux414-nvidia-340xx-340.106-11-i686.pkg.tar.xz
   linux414-r8168-8.045.08-11-i686.pkg.tar.xz
   linux414-rt3562sta-2.4.1.1_r4-23-i686.pkg.tar.xz
   linux414-spl-0.7.6-1-i686.pkg.tar.xz
   linux414-tp_smapi-0.41-23-i686.pkg.tar.xz
   linux414-vhba-module-20161009-23-i686.pkg.tar.xz
   linux414-virtualbox-guest-modules-5.2.8-3-i686.pkg.tar.xz
   linux414-virtualbox-host-modules-5.2.8-3-i686.pkg.tar.xz
   linux414-zfs-0.7.6-1-i686.pkg.tar.xz
   mhwd-0.6.2-5-i686.pkg.tar.xz
   mhwd-db-0.6.2-5-any.pkg.tar.xz
   ndiswrapper-utils-1.61-23-i686.pkg.tar.xz
   systemd-238.0-2-i686.pkg.tar.xz
   systemd-sysvcompat-238.0-2-i686.pkg.tar.xz

Linux 4.1.50 build is failing. :frowning:


#23

So…What do I do to get past this update issue? Wait?


#24

Sync to a mirror which is up to date. Find one at http://repo.manjaro.org/


#27

[dad@dad3000 ~]$ sudo pacman -Syyu

[sudo] password for dad: 
:: Synchronizing package databases...
 core                     187.2 KiB   970K/s 00:00 [######################] 100%
 extra                      2.3 MiB   444K/s 00:05 [######################] 100%
 community                  5.0 MiB   428K/s 00:12 [######################] 100%
:: Starting full system upgrade...
warning: kodi: ignoring package upgrade (16.1-6 => 17.6-5.0)
warning: libcdio: ignoring package upgrade (0.94-2 => 2.0.0-1.0)
warning: libsystemd: local (238.0-2) is newer than core (237.64-2)
warning: linux414: local (4.14.25-1) is newer than core (4.14.24-1)
warning: mhwd: local (0.6.2-5) is newer than core (0.6.2-1)
warning: mhwd-db: local (0.6.2-5) is newer than core (0.6.2-1)
warning: systemd: local (238.0-2) is newer than core (237.64-2)
warning: systemd-sysvcompat: local (238.0-2) is newer than core (237.64-2)
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
:: ffmpeg2.8: installing x265 (2.7-1.0) breaks dependency 'libx265.so=146-32'
[dad@dad3000 ~]$

Looks like I have??

How’s this?

.: INFO User generated mirror list
--------------------------
.: INFO Custom mirror file saved: /var/lib/pacman-mirrors/custom-mirrors.json
.: INFO Writing mirror list
   United_States   : https://mirror.clarkson.edu/manjaro/x32-unstable/$repo/$arch
.: INFO Mirror list generated and saved to: /etc/pacman.d/mirrorlist
[dad@dad3000 ~]$ sudo pacman -Syyu
[sudo] password for dad: 
:: Synchronizing package databases...
 core                               187.2 KiB  2.77M/s 00:00 [#################################] 100%
 extra                                2.3 MiB  4.93M/s 00:00 [#################################] 100%
 community                            5.0 MiB  3.74M/s 00:01 [#################################] 100%
:: Starting full system upgrade...
warning: kodi: ignoring package upgrade (16.1-6 => 17.6-5.0)
warning: libcdio: ignoring package upgrade (0.94-2 => 2.0.0-1.0)
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
:: ffmpeg2.8: installing x265 (2.7-1.0) breaks dependency 'libx265.so=146-32'
[dad@dad3000 ~]$

#28

Maybe remove these from IgnPkg= in /etc/pacman.conf


#29

Yes.

packages to upload:

   ffmpeg2.8-2.8.13-5.1-i686.pkg.tar.xz

This may have to trigger another load of rebuilds depending on which packages depend on ffmpeg2.8 (e.g. vlc).


#30

Yep! I’m waiting!


#31

Oh FFS! It was a maintainer’s mistake & NOT the guy who reported it!!!


#32

My frustration was from not checking the report myself before acting, and that the action taken was incorrect.


#33

Sure!


#34

OK, time to snap this over to testing.


#35

Another sync from upstream. Give it a once-over before I snap it over to testing. There’s a couple of core packages which might have potential for breakage, e.g. cryptsetup.

:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
             ca-certificates-mozilla             3.35-1.0             3.36-1.0
                          cryptsetup            2.0.1-1.0            2.0.2-1.0
                       device-mapper         2.02.177-1.0         2.02.177-5.0
                           e2fsprogs           1.43.9-1.0           1.44.0-1.0
                              efivar               32-1.0               34-1.0
                                gawk            4.2.0-3.2            4.2.1-1.0
                              hdparm               9.52-1             9.54-1.0
                                lvm2         2.02.177-1.0         2.02.177-5.0
                                nano            2.9.3-1.0            2.9.4-1.0
                                nspr             4.18-1.0             4.19-1.0
                                 nss             3.35-1.0             3.36-1.0
                             p11-kit             0.23.9-1          0.23.10-1.0
                          pkg-config           0.29.2-1.1           0.29.2-1.2
                            syslinux             6.03-8.0             6.03-8.1
                            xfsprogs           4.14.0-1.0           4.15.1-1.0
                       python2-gpgme                    -           1.10.0-2.0


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                              attica           5.43.0-1.0           5.44.0-1.0
                               baloo           5.43.0-1.0           5.44.0-1.0
                            bluez-qt           5.43.0-1.0           5.44.0-2.0
                            calligra            3.1.0-1.0            3.1.0-3.0
                         clutter-gst             3.0.24-1           3.0.26-1.0
                               conky           1.10.8-1.0           1.10.8-2.0
                 extra-cmake-modules           5.43.0-1.0           5.44.0-1.0
                           ffmpeg2.8           2.8.13-5.0           2.8.13-7.0
                          fluidsynth            1.1.9-1.0           1.1.10-1.0
                frameworkintegration           5.43.0-1.0           5.44.0-1.0
                              gdome2              0.8.1-5            0.8.1-5.1
                                gegl           0.3.26-1.0           0.3.26-2.0
                              gegl02              0.2.0-7            0.2.0-8.0
                              genius           1.0.23-2.0           1.0.23-2.1
                                 git           2.16.2-1.0           2.16.2-2.0
                                 gjs         1:1.50.4-1.0         1:1.50.4-1.1
                        gnome-autoar              0.2.2-1            0.2.3-1.0
                     gnome-documents             3.26.1-13.26.2+2+gfa6dd4f5-1.0
                            graphite           1:1.3.10-1         1:1.3.11-1.0
                 ibus-typing-booster             1.5.34-1           1.5.35-1.0
                             ilmbase              2.2.0-2            2.2.1-1.0
                         imagemagick         7.0.7.23-1.0         7.0.7.25-1.0
                     imagemagick-doc         7.0.7.23-1.0         7.0.7.25-1.0
                        imagemagick6         6.9.9.35-1.0         6.9.9.38-1.0
                            inkscape           0.92.2-8.0           0.92.3-1.0
                           json-glib              1.4.2-1            1.4.2-2.0
                         kactivities           5.43.0-1.0           5.44.0-1.0
                   kactivities-stats           5.43.0-1.0           5.44.0-1.0
                             kapidox           5.43.0-1.0           5.44.0-1.0
                            karchive           5.43.0-1.0           5.44.0-1.0
                               kauth           5.43.0-1.0           5.44.0-1.0
                          kbookmarks           5.43.0-1.0           5.44.0-1.0
                            kcmutils           5.43.0-1.0           5.44.0-1.0
                             kcodecs           5.43.0-1.0           5.44.0-1.0
                         kcompletion           5.43.0-1.0           5.44.0-1.0
                             kconfig           5.43.0-1.0           5.44.0-1.0
                      kconfigwidgets           5.43.0-1.0           5.44.0-1.0
                         kcoreaddons           5.43.0-1.0           5.44.0-1.0
                              kcrash           5.43.0-1.0           5.44.0-1.0
                         kdbusaddons           5.43.0-1.0           5.44.0-1.0
                     kdebase-runtime          17.08.3-2.0          17.08.3-3.0
                        kdeclarative           5.43.0-1.0           5.44.0-1.0
                                kded           5.43.0-1.0           5.44.0-1.0
                             kdelibs          4.14.38-3.0          4.14.38-4.0
                     kdelibs4support           5.43.0-1.0           5.44.0-1.0
                     kdesignerplugin           5.43.0-1.0           5.44.0-1.0
                               kdesu           5.43.0-1.0           5.44.0-1.0
                           kdewebkit           5.43.0-1.0           5.44.0-1.0
                              kdnssd           5.43.0-1.0           5.44.0-1.0
                           kdoctools           5.43.0-1.0           5.44.0-1.0
                          kemoticons           5.43.0-1.0           5.44.0-1.0
                       kfilemetadata           5.43.0-1.0           5.44.0-1.0
                        kglobalaccel           5.43.0-1.0           5.44.0-1.0
                          kguiaddons           5.43.0-1.0           5.44.0-1.0
                           kholidays         1:5.43.0-1.0         1:5.44.0-1.0
                               khtml           5.43.0-1.0           5.44.0-1.0
                               ki18n           5.43.0-1.0           5.44.0-1.0
                         kiconthemes           5.43.0-1.0           5.44.0-1.0
                           kidletime           5.43.0-1.0           5.44.0-1.0
                       kimageformats           5.43.0-1.0           5.44.0-1.0
                               kinit           5.43.0-1.0           5.44.0-1.0
                                 kio           5.43.0-1.0           5.44.0-1.0
                           kirigami2           5.43.0-1.0           5.44.0-2.0
                         kitemmodels           5.43.0-1.0           5.44.0-1.0
                          kitemviews           5.43.0-1.0           5.44.0-1.0
                         kjobwidgets           5.43.0-1.0           5.44.0-1.0
                                 kjs           5.43.0-1.0           5.44.0-1.0
                            kjsembed           5.43.0-1.0           5.44.0-1.0
                        kmediaplayer           5.43.0-1.0           5.44.0-1.0
                           knewstuff           5.43.0-1.0           5.44.0-1.0
                      knotifications           5.43.0-1.0           5.44.0-1.0
                       knotifyconfig           5.43.0-1.0           5.44.0-1.0
                              kopete          17.08.3-1.0          17.08.3-1.1
                            kpackage           5.43.0-1.0           5.44.0-1.0
                              kparts           5.43.0-1.0           5.44.0-1.0
                             kpeople           5.43.0-1.0           5.44.0-1.0
                           kplotting           5.43.0-1.0           5.44.0-1.0
                                kpty           5.43.0-1.0           5.44.0-1.0
                               krita            3.3.3-1.0            3.3.3-2.0
                               kross           5.43.0-1.0           5.44.0-1.0
                             krunner           5.43.0-1.0           5.44.0-1.0
                            kservice           5.43.0-1.0           5.44.0-1.0
                         ktexteditor           5.43.0-1.0           5.44.0-1.0
                        ktextwidgets           5.43.0-1.0           5.44.0-1.0
                     kunitconversion           5.43.0-1.0           5.44.0-1.0
                             kwallet           5.43.0-1.0           5.44.0-1.0
                            kwayland           5.43.0-1.0           5.44.0-1.0
                      kwidgetsaddons           5.43.0-1.0           5.44.0-1.0
                       kwindowsystem           5.43.0-1.0           5.44.0-1.0
                             kxmlgui           5.43.0-1.0           5.44.0-1.0
                       kxmlrpcclient           5.43.0-1.0           5.44.0-1.0
                            libevdev            1.5.8-1.0            1.5.9-1.0
                        libgit2-glib           0.26.2-1.0           0.26.4-1.0
                  libhttpseverywhere            0.8.0-1.0            0.8.1-1.0
                           libmagick         7.0.7.23-1.0         7.0.7.25-1.0
                          libmagick6         6.9.9.35-1.0         6.9.9.38-1.0
                            libunrar            1:5.5.8-1          1:5.6.1-1.0
                             libupnp           1.6.24-2.0           1.6.25-1.0
                              libzip            1.3.2-1.0            1.4.0-1.0
                            lighttpd           1.4.48-2.0           1.4.49-1.0
                     modemmanager-qt           5.43.0-1.0           5.44.0-1.0
                   networkmanager-qt           5.43.0-1.0           5.44.0-1.0
                                opal         3.10.11-15.0         3.10.11-15.1
                              opencv            3.4.0-2.0            3.4.1-2.0
                      opencv-samples            3.4.0-2.0            3.4.1-2.0
                             openexr              2.2.0-3            2.2.1-1.0
                    plasma-framework           5.43.0-1.0           5.44.0-1.0
                              prison           5.43.0-1.0           5.44.0-1.0
                             purpose           5.43.0-1.0           5.44.0-1.0
                    python-pyopenssl           17.5.0-1.0           17.5.0-2.0
                   python2-pyopenssl           17.5.0-1.0           17.5.0-2.0
                  qqc2-desktop-style           5.43.0-1.0           5.44.0-1.0
                               solid           5.43.0-2.0           5.44.0-1.0
                              sonnet           5.43.0-1.0           5.44.0-1.0
                 syntax-highlighting           5.43.0-1.0           5.44.0-1.0
                                 tcl            8.6.8-1.0            8.6.8-2.0
                        threadweaver           5.43.0-1.0           5.44.0-1.0
                               unrar            1:5.5.8-1          1:5.6.1-1.0
                 vulkan-extra-layers         1.0.68.0-1.0         1.1.70.1-1.0
                   vulkan-icd-loader         1.0.68.0-1.0         1.1.70.0-3.0
                        vulkan-trace         1.0.68.0-1.0         1.1.70.1-1.0
            vulkan-validation-layers         1.0.68.0-1.0         1.1.70.0-3.0
                        wxgtk-common         3.0.3.1-11.0            3.0.4-1.0
                              wxgtk2         3.0.3.1-11.0            3.0.4-1.0
                              wxgtk3         3.0.3.1-11.0            3.0.4-1.0
                              falkon                    -            3.0.0-1.0
                  kcachegrind-common                    -          17.12.3-3.0
                         libmicrodns                    -            0.0.8-1.0
                          libplacebo                    -            0.4.0-1.0
                         qcachegrind                    -          17.12.3-3.0
                            rubygems                    -            2.7.6-1.0
                               woff2                    -            1.0.2-1.0


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                                agda           2.5.3-22.0           2.5.3-26.0
                             alembic            1.7.5-1.0            1.7.5-2.0
                          arch-audit              0.1.9-1           0.1.10-1.0
                               atftp              0.7.1-4            0.7.1-5.0
                               audit            2.8.2-2.0            2.8.3-1.0
                             blender          17:2.79-9.0         17:2.79-10.0
                               brook         20171113-2.0         20180227-1.0
                        cabal-helper          0.8.0.2-1.0          0.8.0.2-4.0
                       cabal-install         2.0.0.1-26.0         2.0.0.1-30.0
                                calc         2.12.6.5-1.0         2.12.6.7-1.0
                             cblrepo          0.24.0-71.0          0.24.0-75.0
                               cgrep           6.6.23-9.0          6.6.23-11.0
                        cinelerra-cv            1:2.3-2.0            1:2.3-3.0
                             cryptol           2.5.0-33.0           2.5.0-35.0
                             crystal           0.24.1-1.0           0.24.2-1.0
                                cura            3.2.1-1.0            3.2.1-2.0
                               darcs 2.12.5.20170909-47.0 2.12.5.20170909-52.0
                           darktable          2:2.4.1-2.0          2:2.4.1-3.0
                         dolphin-emu              1:5.0-41:5.0.r6362.c08f6f0c53-1.0
                           flickcurl               1.26-2             1.26-2.1
                               fwupd            1.0.5-1.0            1.0.6-1.0
                            fwupdate                  9-3               10-2.0
                                 gap           4.8.10-2.0           4.8.10-2.1
                        gap-packages           4.8.10-2.0           4.8.10-2.1
                                gcc6            6.4.1-5.0            6.4.1-5.1
                            gcc6-ada            6.4.1-5.0            6.4.1-5.1
                        gcc6-fortran            6.4.1-5.0            6.4.1-5.1
                            gcc6-gcj            6.4.1-5.0            6.4.1-5.1
                             gcc6-go            6.4.1-5.0            6.4.1-5.1
                           gcc6-libs            6.4.1-5.0            6.4.1-5.1
                           gcc6-objc            6.4.1-5.0            6.4.1-5.1
                            geogebra        6.0.432.0-1.0        6.0.432.0-1.1
                              getdns            1.4.0-1.0            1.4.1-1.0
                    gimp-plugin-gmic            2.2.0-1.0            2.2.1-2.0
                           git-annex      6.20180227-24.0      6.20180227-33.0
                              gitlab           10.5.3-1.0           10.5.3-1.1
                       gitlab-gitaly           0.88.0-1.0           0.88.0-1.1
                            gitolite            3.6.7-2.0            3.6.7-3.0
                                gmic            2.2.0-1.0            2.2.1-2.0
                    gnome-packagekit             3.26.0-1           3.28.0-1.0
                       haskell-aeson          1.2.4.0-8.0         1.2.4.0-10.0
         haskell-aeson-better-errors         0.9.1.0-45.0         0.9.1.0-48.0
                haskell-aeson-compat         0.3.7.1-23.0         0.3.7.1-25.0
                haskell-aeson-pretty           0.8.5-31.0           0.8.5-33.0
                    haskell-aeson-qq           0.8.2-22.0           0.8.2-24.0
                haskell-authenticate           1.3.4-60.0           1.3.4-65.0
                         haskell-aws            0.19-28.0            0.19-34.0
              haskell-binary-orphans         0.1.8.0-19.0         0.1.8.0-21.0
               haskell-binary-tagged         0.1.4.2-50.0         0.1.4.2-53.0
                  haskell-bower-json         1.0.0.1-43.0         1.0.0.1-46.0
                       haskell-boxes            0.1.4-9.0            0.1.5-1.0
                       haskell-brick           0.34.1-9.0          0.34.1-13.0
                     haskell-cassava         0.5.1.0-19.0         0.5.1.0-20.0
                     haskell-charset         0.3.7.1-27.0         0.3.7.1-28.0
                  haskell-cheapskate           0.1.1-52.0           0.1.1-55.0
                    haskell-checkers         0.4.9.5-14.0         0.4.9.5-15.0
                     haskell-concise         0.1.0.1-11.0         0.1.0.1-13.0
         haskell-conduit-combinators           1.1.2-39.0           1.1.2-41.0
                  haskell-config-ini         0.2.2.0-19.0         0.2.2.0-23.0
                haskell-configurator         0.3.0.0-31.0         0.3.0.0-34.0
             haskell-configurator-ng         0.0.0.1-20.0         0.0.0.1-22.0
                   haskell-criterion         1.3.0.0-33.0          1.4.0.0-3.0
               haskell-crypto-pubkey           0.2.8-52.0           0.2.8-53.0
         haskell-crypto-pubkey-types           0.4.3-43.0           0.4.3-44.0
          haskell-cryptohash-conduit          0.1.1-148.0          0.1.1-149.0
          haskell-cryptonite-conduit           0.2.2-39.0           0.2.2-42.0
                haskell-data-default         0.7.1.1-11.0         0.7.1.1-11.1
             haskell-data-serializer           0.3.2-18.0            0.3.4-2.0
                haskell-data-textual         0.3.0.2-40.0         0.3.0.2-43.0
                         haskell-dav           1.3.2-24.0           1.3.2-28.0
                 haskell-descriptive           0.9.4-89.0           0.9.4-92.0
                         haskell-dns            3.0.2-2.0            3.0.2-5.0
                haskell-doctemplates           0.2.1-17.0           0.2.1-19.0
                      haskell-either               5-27.0               5-28.0
                   haskell-esqueleto           2.5.3-72.0           2.5.3-76.0
          haskell-expiring-cache-map         0.0.6.1-15.0         0.0.6.1-16.0
                        haskell-feed         1.0.0.0-35.0         1.0.0.0-38.0
                       haskell-foldl            1.3.7-4.0            1.3.7-5.0
                      haskell-hakyll        4.11.0.0-33.0        4.11.0.0-39.0
                       haskell-hasql           1.1.1-40.0           1.1.1-43.0
                  haskell-hasql-pool           0.4.3-40.0           0.4.3-43.0
           haskell-hasql-transaction           0.5.2-40.0           0.5.2-43.0
                    haskell-hedgehog           0.5.2-11.0           0.5.2-12.0
                         haskell-hit           0.6.3-79.0           0.6.3-80.0
                haskell-hjsonpointer           1.3.0-18.0           1.3.0-20.0
                 haskell-hjsonschema           1.7.2-41.0           1.7.2-45.0
                 haskell-hledger-lib             1.5-23.0             1.5-26.1
                    haskell-hopenpgp          2.5.5-182.0          2.5.5-184.0
                       haskell-hpack          0.27.0-19.0          0.27.0-24.0
                   haskell-hspec-wai           0.9.0-37.0           0.9.0-40.0
              haskell-hspec-wai-json           0.9.0-42.0           0.9.0-45.0
                haskell-html-conduit         1.2.1.2-25.0         1.2.1.2-28.1
                        haskell-http        4000.3.9-25.0        4000.3.9-28.0
               haskell-http-api-data         0.3.7.2-14.0         0.3.7.2-17.0
                haskell-http-conduit           2.2.4-58.0           2.2.4-63.0
                         haskell-ini           0.3.5-13.0           0.3.5-15.0
   haskell-insert-ordered-containers         0.2.1.0-63.0         0.2.1.0-65.0
                 haskell-interpolate           0.1.1-17.0           0.1.1-18.0
    haskell-interpolatedstring-perl6           1.0.0-40.0           1.0.0-41.0
                        haskell-jose         0.6.0.3-48.0         0.6.0.3-50.0
                         haskell-jwt           0.7.2-40.0           0.7.2-43.0
                        haskell-lens          4.15.4-25.0          4.15.4-26.0
                  haskell-lens-aeson           1.0.2-44.0           1.0.2-46.0
                      haskell-libmpd         0.9.0.7-17.0         0.9.0.7-18.0
                haskell-lifted-async         0.9.3.3-12.0         0.9.3.3-13.0
                   haskell-microlens          0.4.8.3-1.0            0.4.9-1.0
             haskell-microlens-aeson         2.2.0.2-16.0            2.3.0-1.0
               haskell-microlens-ghc          0.4.8.0-6.0            0.4.9-1.0
          haskell-microlens-platform         0.3.9.0-13.0           0.3.10-2.0
                haskell-microlens-th          0.4.1.3-1.0            0.4.2-1.0
                 haskell-microstache         1.0.1.1-22.0         1.0.1.1-24.0
            haskell-mono-traversable         1.0.8.1-12.0         1.0.8.1-13.0
                  haskell-network-ip         0.3.0.2-27.0         0.3.0.2-31.0
       haskell-network-protocol-xmpp           0.4.8-27.0           0.4.8-29.0
          haskell-openpgp-asciiarmor             0.1-35.0             0.1-36.0
                haskell-pandoc-types        1.17.3.1-13.0        1.17.3.1-15.0
                     haskell-parsers          0.12.8-14.0          0.12.8-16.0
                        haskell-path           0.6.1-26.0           0.6.1-29.0
                     haskell-path-io           1.3.3-22.0           1.3.3-25.0
                  haskell-persistent         2.7.3.1-25.0         2.7.3.1-29.0
           haskell-persistent-sqlite           2.6.4-50.0           2.6.4-55.0
         haskell-persistent-template         2.5.3.1-24.0         2.5.3.1-28.0
                  haskell-pipes-http          1.0.5-111.0          1.0.5-113.0
           haskell-postgresql-binary          0.12.1-57.0          0.12.1-60.0
              haskell-process-extras            0.7.4-4.0            0.7.4-4.1
            haskell-project-template         0.2.0.1-16.0         0.2.0.1-19.0
        haskell-quickcheck-instances           0.3.18-1.0           0.3.18-2.0
                      haskell-rebase           1.2.3-25.0           1.2.3-26.0
                    haskell-reducers          3.12.2-18.0          3.12.2-19.0
           haskell-regex-compat-tdfa        0.95.1.4-15.0        0.95.1.4-16.0
                    haskell-rerebase           1.2.1-33.0           1.2.1-34.0
                         haskell-sbv             7.5-20.0             7.5-22.0
                     haskell-servant          0.12.1-25.0          0.12.1-28.0
              haskell-servant-server            0.12-67.0            0.12-74.0
             haskell-servant-swagger           1.1.4-49.0           1.1.4-52.0
                       haskell-shake           0.16.3-8.0          0.16.3-11.0
                 haskell-shakespeare          2.0.15-13.0          2.0.15-14.0
                      haskell-shelly            1.7.1-2.0            1.7.1-3.0
                 haskell-skylighting              0.6-7.0              0.6-8.0
                   haskell-sourcemap           0.1.6-53.0           0.1.6-55.0
               haskell-src-exts-util            0.2.2-6.0            0.2.2-7.1
                  haskell-statistics        0.14.0.2-30.0        0.14.0.2-31.0
                       haskell-store         0.4.3.2-66.0         0.4.3.2-68.0
                    haskell-swagger2             2.2-34.0             2.2-35.0
           haskell-tagstream-conduit        0.5.5.3-131.0        0.5.5.3-132.1
         haskell-tamarin-prover-term            1.2.3-4.0            1.2.3-5.0
       haskell-tamarin-prover-theory            1.2.3-4.0            1.2.3-5.0
                         haskell-tar          0.5.0.3-6.0          0.5.1.0-1.0
      haskell-tasty-expected-failure           0.11.1-1.0         0.11.1.1-1.0
                haskell-tasty-golden          2.3.1.3-4.0          2.3.1.3-5.0
              haskell-tasty-hedgehog         0.1.0.2-12.0         0.1.0.2-14.0
                 haskell-tasty-rerun           1.1.10-5.0           1.1.10-7.0
            haskell-tasty-smallcheck            0.8.1-4.0            0.8.1-5.0
                    haskell-tasty-th           0.1.7-11.0           0.1.7-12.0
                     haskell-texmath        0.10.1.1-11.0        0.10.1.1-12.0
                    haskell-trifecta         1.7.1.1-45.0         1.7.1.1-46.0
                      haskell-turtle            1.5.4-1.0            1.5.5-1.0
                   haskell-unixutils          1.54.1-30.0          1.54.1-31.1
              haskell-wai-app-static        3.1.6.1-160.0        3.1.6.1-164.0
                    haskell-wai-cors           0.2.6-18.0           0.2.6-19.0
                   haskell-wai-extra        3.0.22.0-24.0        3.0.22.0-29.0
          haskell-wai-handler-launch         3.0.2.3-32.0         3.0.2.3-37.0
                  haskell-wai-logger           2.3.1-11.0            2.3.2-1.0
              haskell-wai-websockets         3.0.1.1-55.0         3.0.1.1-56.0
                        haskell-warp           3.2.18-2.0         3.2.18.1-2.0
                    haskell-warp-tls         3.2.4.2-21.0         3.2.4.2-24.0
                  haskell-websockets        0.12.3.1-18.0        0.12.3.1-19.0
                         haskell-x11              1.8-7.0              1.8-7.1
                     haskell-x11-xft           0.3.1-31.0           0.3.1-31.1
                      haskell-xcffib            0.6.0-3.0            0.6.0-5.0
                 haskell-xml-conduit         1.7.1.2-18.0         1.7.1.2-19.0
                  haskell-xml-hamlet         0.4.1.1-42.0         0.4.1.1-43.0
                        haskell-yaml          0.8.28-19.0          0.8.28-20.0
                       haskell-yesod          1.4.5-212.0          1.4.5-220.0
                  haskell-yesod-auth         1.4.21-102.0         1.4.21-111.0
                  haskell-yesod-core        1.4.37.3-34.0        1.4.37.3-38.0
               haskell-yesod-default          1.2.0-271.1          1.2.0-275.0
                  haskell-yesod-form         1.4.16-107.0         1.4.16-115.0
            haskell-yesod-persistent           1.4.3-83.0           1.4.3-91.0
                haskell-yesod-static        1.5.3.1-102.0        1.5.3.1-108.0
                  haskell-yesod-test         1.5.9.1-68.0         1.5.9.1-76.0
                           hedgewars           0.9.23-4.0           0.9.23-5.0
                             hindent           5.2.5-10.0           5.2.5-12.0
                             hledger             1.5-33.0             1.5-36.1
                         hledger-api             1.5-83.0             1.5-92.0
                          hledger-ui             1.5-50.0             1.5-54.1
                         hledger-web             1.5-93.0            1.5-102.0
                               hlint             2.1-12.0             2.1-13.1
                              hoogle          5.0.16-31.0          5.0.16-36.0
                      hopenpgp-tools          0.19.5-97.0         0.19.5-100.0
                               hugin         2018.0.0-1.0         2018.0.0-2.0
                             i3-gaps           4.14.1-2.0             4.15-1.0
                               idris           1.2.0-44.0           1.2.0-48.0
                   krita-plugin-gmic            2.2.0-1.0            2.2.1-2.0
                             lazarus            1.8.0-2.0            1.8.2-1.0
                        lazarus-gtk2            1.8.0-2.0            1.8.2-1.0
                         lazarus-qt5            1.8.0-2.0            1.8.2-1.0
                            libtiff4              3.9.7-1            3.9.7-1.1
                                lmms              1.1.3-4            1.1.3-4.1
                        luminancehdr            2.5.1-6.0            2.5.1-7.0
                                maim             5.4.68-2           5.4.68-2.1
                               maven              3.5.2-1            3.5.2-1.1
                          metasploit          4.16.43-1.0          4.16.43-1.1
                           miniupnpc       2.0.20170509-2     2.0.20180222-1.0
                           miniupnpd       2.0.20170421-2     2.0.20180222-1.0
                              ncrack                0.5-4            0.6.0-1.0
                            netbeans                8.2-1              8.2-1.1
                            newsboat           2.10.2-1.0           2.10.2-1.1
                    nodejs-lts-boron           6.13.0-1.0           6.13.1-1.0
                            normaliz            3.5.1-1.0            3.5.2-1.0
                          nullmailer              2.0-3.0              2.1-1.0
                         openimageio           1.7.17-2.0           1.7.17-3.0
                              openra         20180218-1.0         20180307-1.0
                 openshadinglanguage            1.7.6-3.0            1.7.6-4.0
                             openvdb            4.0.2-4.0            4.0.2-6.0
                              pandoc           2.1.2-10.0           2.1.2-14.0
                     pandoc-citeproc        0.13.0.1-31.0        0.13.0.1-35.0
                     pandoc-crossref         0.3.0.1-66.0         0.3.0.1-70.0
                  papirus-icon-theme         20180214-1.0         20180311-1.0
                         php-mongodb            1.4.1-1.0            1.4.2-1.0
                           postgrest         0.4.4.0-76.0         0.4.4.0-84.0
                              povray        2:3.7.0.7-1.0        2:3.7.0.7-2.0
              python-apache-libcloud            2.2.1-1.0            2.3.0-1.1
                       python-cvxopt              1.1.9-3            1.1.9-3.1
                     python-dateutil              2.6.1-1            2.7.0-1.0
                        python-faker           0.8.11-1.0           0.8.12-1.0
                           python-fs           2.0.18-1.0           2.0.19-1.0
                        python-gmpy2            2.0.8-3.0          2.1.0a1-1.0
                    python-oslo-i18n           3.19.0-1.0           3.19.0-1.1
                     python-paramiko              2.4.0-1            2.4.1-1.0
                       python-xcffib              0.5.1-1            0.6.0-1.0
             python2-apache-libcloud            2.2.1-1.0            2.3.0-1.1
                      python2-cvxopt              1.1.9-3            1.1.9-3.1
                    python2-dateutil              2.6.1-1            2.7.0-1.0
                       python2-faker           0.8.11-1.0           0.8.12-1.0
                          python2-fs           2.0.18-1.0           2.0.19-1.0
                       python2-gmpy2            2.0.8-3.0          2.1.0a1-1.0
                   python2-oslo-i18n           3.19.0-1.0           3.19.0-1.1
                    python2-paramiko              2.4.0-1            2.4.1-1.0
                      python2-xcffib              0.5.1-1            0.6.0-1.0
                               rogue              5.4.4-5            5.4.4-5.1
                             ruby2.4            2.4.3-1.0            2.4.3-1.1
                           s3fs-fuse               1.80-2             1.83-1.0
                   shadowsocks-libev            3.1.3-2.0            3.1.3-2.1
                          shellcheck            0.4.7-5.0            0.4.7-7.0
                                slop             7.3.48-2           7.3.48-2.1
                               ssmtp             2.64-9.1            2.64-12.0
                                sssd           1.16.0-4.0           1.16.1-1.0
                               stack           1.6.5-23.0           1.6.5-32.0
                     stylish-haskell         0.9.0.2-10.0         0.9.0.2-12.0
                      tamarin-prover           1.2.3-10.0           1.2.3-14.0
                             vagrant            2.0.2-1.0            2.0.2-1.1
                              weston              3.0.0-2            3.0.0-2.1
                              xmobar             0.25-5.0             0.25-8.0
                              xmonad            0.13-12.0            0.13-12.1
                      xmonad-contrib            0.13-10.0            0.13-10.1
                                zart            2.2.0-1.0            2.2.1-2.0
                           bettercap                    -              2.1-1.0
                     colorhug-client                    -            0.2.8-1.0
                     consul-template                    -           0.19.4-2.0
                                 dep                    -            0.4.1-3.0
                               dmtcp                    -            2.5.2-1.0
     firefox-extension-privacybadger                    -        2018.1.22-2.0
                            gammaray                    -            2.9.0-2.0
                                gtkd                    -            3.7.5-2.0
                       haskell-iwlib                    -            0.1.0-1.0
                             img2pdf                    -            0.2.4-1.0
                            jacktrip                    -              1.1-5.0
                          kronometer                    -            2.2.1-2.0
                          libsavitar                    -              2.6-1.0
                             padthv1                    -            0.9.0-1.0
                                 psi                    -              1.3-3.0
                            psi-l10n                    -              1.3-4.0
                        psi-nowebkit                    -              1.3-2.0
                         psi-plugins                    -              1.3-3.0
                      python-etesync                    -            0.5.2-1.0
                          python-h11                    -            0.7.0-1.0
                    python-jsonlines                    -            1.2.0-1.0
                       python-kaptan                    -            0.5.9-3.0
                   python-langdetect                    -            1.0.7-2.0
                        python-ldap3                    -            2.4.1-1.0
                      python-libtmux                    -            0.8.0-1.0
                  python-pymediainfo                    -            2.2.1-1.0
         python-pytest-rerunfailures                    -              4.0-2.0
                      python-rencode                    -            1.0.5-1.0
                   python-urwidtrees                    -            1.0.2-1.0
                   python-voluptuous                    -           0.11.1-1.0
                      python-wsproto                    -           0.11.0-1.0
                         python2-h11                    -            0.7.0-1.0
                   python2-jsonlines                    -            1.2.0-1.0
                      python2-kaptan                    -            0.5.9-3.0
                  python2-langdetect                    -            1.0.7-2.0
                       python2-ldap3                    -            2.4.1-1.0
                     python2-libtmux                    -            0.8.0-1.0
                 python2-pymediainfo                    -            2.2.1-1.0
        python2-pytest-rerunfailures                    -              4.0-2.0
                     python2-rencode                    -            1.0.5-1.0
                  python2-urwidtrees                    -            1.0.2-1.0
                  python2-voluptuous                    -           0.11.1-1.0
                     python2-wsproto                    -           0.11.0-1.0
                            qmidinet                    -            0.5.0-1.0
                               radvd                    -             2.17-2.0
                 ruby-unicorn-engine                    -            1.0.1-4.0
                               tilix                    -            1.7.7-1.0
                               tmuxp                    -            1.4.0-2.0
                            zita-at1                    -            0.6.0-4.0
                           zita-bls1                    -            0.1.0-4.0
                           zita-dpl1                    -            0.1.0-4.0
                            zita-lrx                    -            0.1.0-4.0
                            zita-mu1                    -            0.2.2-5.0
                       zita-njbridge                    -            0.4.1-4.0
                           zita-rev1                    -            0.2.1-3.0

#36

I might try an encrypted installation with x32-stable mirrors then switch to testing.


#37

All good here, no LUKS partitions though.

Is the only way to install still the (very) old ISOs?


#38

I’m installing bspwm-minimal with manjaro-architect from the running system.


#39

There’s the 17.1.1-rc installer image. I need to find time to spin a newer one… but, you know, life etc… :persevere:


#40

Firefox 59 build:

packages to upload:

   firefox-59.0-0-i686.pkg.tar.xz
   firefox-i18n-ach-59.0-0-any.pkg.tar.xz
   firefox-i18n-af-59.0-0-any.pkg.tar.xz
   firefox-i18n-an-59.0-0-any.pkg.tar.xz
   firefox-i18n-ar-59.0-0-any.pkg.tar.xz
   firefox-i18n-as-59.0-0-any.pkg.tar.xz
   firefox-i18n-ast-59.0-0-any.pkg.tar.xz
   firefox-i18n-az-59.0-0-any.pkg.tar.xz
   firefox-i18n-be-59.0-0-any.pkg.tar.xz
   firefox-i18n-bg-59.0-0-any.pkg.tar.xz
   firefox-i18n-bn-bd-59.0-0-any.pkg.tar.xz
   firefox-i18n-bn-in-59.0-0-any.pkg.tar.xz
   firefox-i18n-br-59.0-0-any.pkg.tar.xz
   firefox-i18n-bs-59.0-0-any.pkg.tar.xz
   firefox-i18n-ca-59.0-0-any.pkg.tar.xz
   firefox-i18n-cak-59.0-0-any.pkg.tar.xz
   firefox-i18n-cs-59.0-0-any.pkg.tar.xz
   firefox-i18n-ja-59.0-0-any.pkg.tar.xz
   firefox-i18n-id-59.0-0-any.pkg.tar.xz
   firefox-i18n-hu-59.0-0-any.pkg.tar.xz
   firefox-i18n-hy-am-59.0-0-any.pkg.tar.xz
   firefox-i18n-id-59.0-0-any.pkg.tar.xz
   firefox-i18n-is-59.0-0-any.pkg.tar.xz
   firefox-i18n-it-59.0-0-any.pkg.tar.xz
   firefox-i18n-ja-59.0-0-any.pkg.tar.xz
   firefox-i18n-ka-59.0-0-any.pkg.tar.xz
   firefox-i18n-kab-59.0-0-any.pkg.tar.xz
   firefox-i18n-kk-59.0-0-any.pkg.tar.xz
   firefox-i18n-km-59.0-0-any.pkg.tar.xz
   firefox-i18n-kn-59.0-0-any.pkg.tar.xz
   firefox-i18n-ko-59.0-0-any.pkg.tar.xz
   firefox-i18n-lij-59.0-0-any.pkg.tar.xz
   firefox-i18n-lt-59.0-0-any.pkg.tar.xz
   firefox-i18n-lv-59.0-0-any.pkg.tar.xz
   firefox-i18n-mai-59.0-0-any.pkg.tar.xz
   firefox-i18n-mk-59.0-0-any.pkg.tar.xz
   firefox-i18n-ml-59.0-0-any.pkg.tar.xz
   firefox-i18n-mr-59.0-0-any.pkg.tar.xz
   firefox-i18n-ms-59.0-0-any.pkg.tar.xz
   firefox-i18n-my-59.0-0-any.pkg.tar.xz
   firefox-i18n-nb-no-59.0-0-any.pkg.tar.xz
   firefox-i18n-nl-59.0-0-any.pkg.tar.xz
   firefox-i18n-nn-no-59.0-0-any.pkg.tar.xz
   firefox-i18n-or-59.0-0-any.pkg.tar.xz
   firefox-i18n-pa-in-59.0-0-any.pkg.tar.xz
   firefox-i18n-pl-59.0-0-any.pkg.tar.xz
   firefox-i18n-pt-br-59.0-0-any.pkg.tar.xz
   firefox-i18n-pt-pt-59.0-0-any.pkg.tar.xz
   firefox-i18n-rm-59.0-0-any.pkg.tar.xz
   firefox-i18n-ro-59.0-0-any.pkg.tar.xz
   firefox-i18n-ru-59.0-0-any.pkg.tar.xz
   firefox-i18n-si-59.0-0-any.pkg.tar.xz
   firefox-i18n-sk-59.0-0-any.pkg.tar.xz
   firefox-i18n-sl-59.0-0-any.pkg.tar.xz
   firefox-i18n-son-59.0-0-any.pkg.tar.xz
   firefox-i18n-sq-59.0-0-any.pkg.tar.xz
   firefox-i18n-sr-59.0-0-any.pkg.tar.xz
   firefox-i18n-sv-se-59.0-0-any.pkg.tar.xz
   firefox-i18n-ta-59.0-0-any.pkg.tar.xz
   firefox-i18n-te-59.0-0-any.pkg.tar.xz
   firefox-i18n-th-59.0-0-any.pkg.tar.xz
   firefox-i18n-tr-59.0-0-any.pkg.tar.xz
   firefox-i18n-uk-59.0-0-any.pkg.tar.xz
   firefox-i18n-ur-59.0-0-any.pkg.tar.xz
   firefox-i18n-uz-59.0-0-any.pkg.tar.xz
   firefox-i18n-vi-59.0-0-any.pkg.tar.xz
   firefox-i18n-xh-59.0-0-any.pkg.tar.xz
   firefox-i18n-zh-cn-59.0-0-any.pkg.tar.xz
   firefox-i18n-zh-tw-59.0-0-any.pkg.tar.xz

#41

I failed at setting the mirrors to stable during netinstall. So unstable mirrors got used. But LVM on LUKS boots.

Update: All kernels boot with LVM on LUKS.


#42

Reminder… new flashplugin out today.v29


#43

I’d like to go to bed at some point, but sure. Building.

Edit:

packages to upload:

   flashplugin-29.0.0.113-0-i686.pkg.tar.xz
   pepper-flash-29.0.0.113-0-i686.pkg.tar.xz

Another sync from upstream too, check OP for current diff to testing.


Unless there are any major issues in the next few hours I’ll snap this over to testing tomorrow morning (GMT).


Oh, Manjaro-customised kinfocenter is also uploaded… forgot about that one.